Subject: Re: Old regression with MTD devices disappearing from a Kurobox HD/HG

From: Rogério Brito <[email-masked]>
Date: Thu, 16 Apr 2015 21:01:07 -0300

Dear Scott.

On Apr 16 2015, Scott Wood wrote:
> On Thu, 2015-04-16 at 19:55 -0300, Rogério Brito wrote:
> > Is there any "proper" way for me to discover what device name the kernel
> > uses? I have tried the following command lines without success:
> > 
> > 1 - mtdparts=myflash:4096k(allflash),3072k(firmimg),448k@3072k(bootcode),64k@3520k(status),512k@3584k(conf)
> > 2 - mtdparts=physmap-flash:3072k(firmimg),448k@3072k(bootcode),64k@3520k(status),512k@3584k(conf)
> > 3 - mtdparts=cfi_cmdset_0002:3072k(firmimg),448k@3072k(bootcode),64k@3520k(status),512k@3584k(conf)
> 
> Look in sysfs.

The output that I get from sysfs is:

    # ls -l /sys/block/mtdblock0
    lrwxrwxrwx 1 root root 0 Apr 16 20:42 /sys/block/mtdblock0 -> ../devices/platform/physmap-flash.0/mtd/mtd0/mtdblock0
    # cat /sys/devices/platform/physmap-flash.0/uevent
    DRIVER=physmap-flash
    MODALIAS=platform:physmap-flash
    # cat /sys/devices/platform/physmap-flash.0/driver_override
    (null)

So, it is saying that the driver is physmap-flash, right?  I will compile
now a (new) kernel 4.0 with the parameter passed as my 2nd attempt above
(just to make sure that I have not messed up before).  Just to confirm, this
should (in theory) work, right?

Anything else that I can provide? Again, just ask me and I will do my best
to collect the needed information.

Thanks once again,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://cynic.cc/blog/ : github.com/rbrito : profiles.google.com/rbrito
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br